CRM identify
POST
{{server}}/api/v1/dispenser/crmIdentifyThis endpoint identifies the customer by an ID.
Response
The response contains the received customer data from CRM.
-
interfaceValue- it contains a segment value if greater than0. The0means, it's not identified. -
data1..data10- Customer data values
Request
Authorization
| Header | Value |
|---|---|
Authorization | Apikey {{dispenserApikey}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Body (json)
{
"id": "1111-2222"
}
Code snippets
- cURL
- JavaScript
- Python
curl -X POST '{{server}}/api/v1/dispenser/crmIdentify' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}' \
-H 'Content-Type: application/json' \
-d '{
"id": "1111-2222"
}'
const response = await fetch("{{server}}/api/v1/dispenser/crmIdentify", {
method: "POST",
headers: {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": "1111-2222"
}),
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/dispenser/crmIdentify"
headers = {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}",
"Content-Type": "application/json"
}
payload = {
"id": "1111-2222"
}
response = requests.post(url, headers=headers, json=payload)
print(response.status_code)
print(response.json())
Example
Example request
POST
{{server}}/api/v1/dispenser/crmIdentifyHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Body
{
"id": "1111-2222"
}
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 320 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"interfaceValue": "2",
"data1": "Simon Kemmer",
"data2": "9419 Schuppe Ramp",
"data3": "Nepal",
"data4": "Randalland",
"data5": "59633-7027",
"data6": "650-887-4735 x9994",
"data8": "89193685-35208619-30848571",
"data10": "1111-2222",
"id": "1111-2222"
}